org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering

## Class StreamingDistributor

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering.StreamingDistributor

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.learners.Learner

      public class StreamingDistributor
      extends Object
      implements org.apache.samoa.learners.Learner, com.github.javacliparser.Configurable

  Streaming Distributor
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.github.javacliparser.IntOption` | `intervalOption`
    `com.github.javacliparser.ClassOption` | `learnerOption`
    `com.github.javacliparser.IntOption` | `paralellismOption`
    `com.github.javacliparser.IntOption` | `samplemOption`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingDistributor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.samoa.core.Processor` | `getInputProcessor()`
    `Set<org.apache.samoa.topology.Stream>` | `getResultStreams()`
    `void` | `init(org.apache.samoa.topology.TopologyBuilder builder, org.apache.samoa.instances.Instances dataset, int parallelism)`
    `protected void` | `setLayout()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### learnerOption

          public com.github.javacliparser.ClassOption learnerOption

    - #### paralellismOption

          public com.github.javacliparser.IntOption paralellismOption

    - #### samplemOption

          public com.github.javacliparser.IntOption samplemOption

    - #### intervalOption

          public com.github.javacliparser.IntOption intervalOption

  - ### Constructor Detail

    - #### StreamingDistributor

          public StreamingDistributor()

  - ### Method Detail

    - #### init

          public void init(org.apache.samoa.topology.TopologyBuilder builder,
                           org.apache.samoa.instances.Instances dataset,
                           int parallelism)

      Specified by:
        `init` in interface `org.apache.samoa.learners.Learner`

    - #### setLayout

          protected void setLayout()

    - #### getInputProcessor

          public org.apache.samoa.core.Processor getInputProcessor()

      Specified by:
        `getInputProcessor` in interface `org.apache.samoa.learners.Learner`

    - #### getResultStreams

          public Set<org.apache.samoa.topology.Stream> getResultStreams()

      Specified by:
        `getResultStreams` in interface `org.apache.samoa.learners.Learner`

Copyright © 2017 WSO2. All rights reserved.